Bug 102005 - START CENTER: Pressing F6 stops at thumbnail list view
Summary: START CENTER: Pressing F6 stops at thumbnail list view
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: accessibility, bibisected, bisected, regression
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2016-09-09 02:06 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-03-25 20:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-09 02:06:12 UTC
Steps:
1) Open Start Center
2) Press F6 to move from open file button to file list
3) Press F6 again wont take you file menu, though shift+f6 will cycle correctly

Regression as this worked correctly in 5.1.

Version: 5.3.0.0.alpha0+
Build ID: f7513f0f53f2d074c08610a68fb787bb379c31d4
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-09-02_23:58:05
Locale: en-US (en_US.UTF-8); Calc: group

@Akki: Is this something you introduced?
Comment 1 V Stuart Foote 2016-09-09 03:07:34 UTC
Confirmed on Windows 10 Pro 64-bit en-US with

Version: 5.2.1.2 (x64)
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US); Calc: group

Version: 5.3.0.0.alpha0+
Build ID: 6ccb82ddf302acbd56bd4ea67fce107883e5391c
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-08_05:50:23
Locale: en-US (en_US); Calc: CL
Comment 2 Xisco Faulí 2016-09-09 08:51:30 UTC
Regression introduced in range 1fccc616d205b7d7011d66d4e4c719b62876eec5..1684e347cd16ce91ecf27d94691b185a0110cc34
Comment 3 raal 2016-11-19 11:50:35 UTC
This seems to have begun at the below commit.
Adding Cc: to Akshay Deep; Could you possibly take a look at this one? Thanks

author	Akshay Deep <akshaydeepiitr@gmail.com>	2016-06-02 22:13:09 (GMT)
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2016-06-03 14:38:04 (GMT)
commit	9b7bf60536bfab26445c0165f50392c1258c4cda (patch)
tree	3641e6ac753f0cc0423a6eb262b03af5aab6ba25
parent	a4740c8ea92cc50c1dc6e87d06db190800269a5d (diff)
tdf#100195 Enable Keyboard Navigation in Template Manager and Start Center

b4453c9feb2eafb4b5a155999969ac94bf535740 is the first bad commit
commit b4453c9feb2eafb4b5a155999969ac94bf535740
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Jun 5 03:50:50 2016 -0700

    source sha:9b7bf60536bfab26445c0165f50392c1258c4cda

 git bisect log
# bad: [9eaeeb4c4a8c422b8572397d643097991a6faa85] source sha:90646b4966c73637ddf592acd05b3091fb3fa41f
# good: [defb73f1c6e2a66dbd21ba89e684f57427e8bc4b] source sha:5b168b3fa568e48e795234dc5fa454bf24c9805e
git bisect start 'origin/master' 'oldest'
# bad: [a0bcc19a284531b79a745ff1f8248400efbebd5c] source sha:1b8c61d5ca8e2a7ae7a0bcd189b7a87defecea03
git bisect bad a0bcc19a284531b79a745ff1f8248400efbebd5c
# bad: [6465930d0e46ac930613fcf056da070f0eb5d116] source sha:0ce1ecab48fc9fd9713359728dd1a10746600541
git bisect bad 6465930d0e46ac930613fcf056da070f0eb5d116
# bad: [1de05891037db5236b58953ba81df1eeb9aa2598] source sha:4d18c1de112c1439ae4e41de7c19ffa449afea68
git bisect bad 1de05891037db5236b58953ba81df1eeb9aa2598
# bad: [6f3b0557964a398f8bc583cde5cf139a5d657f67] source sha:043b2900aed2f6e2c22e90710302b15afec312b4
git bisect bad 6f3b0557964a398f8bc583cde5cf139a5d657f67
# good: [a91426634c71d294232767183e4941a8fb75d4bc] source sha:5c977a9ddff3c221c098a57855ede7c0ef4fe31f
git bisect good a91426634c71d294232767183e4941a8fb75d4bc
# good: [d473d2bd885dfd22b16f3100d66168453a8723f5] source sha:31038459b576b5ef53c3ccadb1e2aee0e61d20ff
git bisect good d473d2bd885dfd22b16f3100d66168453a8723f5
# good: [7bb0b687919e7e86393e3f3edb65784d35ff5c67] source sha:f402a06a6abd011b2be024ce3b847edfbcb82908
git bisect good 7bb0b687919e7e86393e3f3edb65784d35ff5c67
# bad: [fbbfc9e36f7be5e2ceaddc3c5aad4c849b0e892e] source sha:0323253a7c67316cb96e4a64792ab4fe74aac1ca
git bisect bad fbbfc9e36f7be5e2ceaddc3c5aad4c849b0e892e
# bad: [000b674e05103aca006917adb92818e590243dd7] source sha:e95be04a73e977022455335d7cbf56804638f761
git bisect bad 000b674e05103aca006917adb92818e590243dd7
# bad: [12f372c91416a8186759f1049ea66b663f99f10f] source sha:f2d18f8a7125f4f4d1d72be11fb3fb6637f25fde
git bisect bad 12f372c91416a8186759f1049ea66b663f99f10f
# bad: [9dc996a3b62843ebf3bc5f7b31826dfb65b1e2b3] source sha:74f6f03f55eb6d641d2b26aae883943c69683563
git bisect bad 9dc996a3b62843ebf3bc5f7b31826dfb65b1e2b3
# bad: [b4453c9feb2eafb4b5a155999969ac94bf535740] source sha:9b7bf60536bfab26445c0165f50392c1258c4cda
git bisect bad b4453c9feb2eafb4b5a155999969ac94bf535740
# good: [356549ca5413e685b6865c8f94c91a460fd67a0d] source sha:a4740c8ea92cc50c1dc6e87d06db190800269a5d
git bisect good 356549ca5413e685b6865c8f94c91a460fd67a0d
# first bad commit: [b4453c9feb2eafb4b5a155999969ac94bf535740] source sha:9b7bf60536bfab26445c0165f50392c1258c4cda
Comment 4 QA Administrators 2017-11-20 15:48:38 UTC Comment hidden (obsolete)
Comment 5 V Stuart Foote 2017-12-01 16:56:18 UTC
This remains an issue through current master/6.1.0alpha0

Remains weird in that a <Shift>+<F6> will correctly cycle backwards out of the thumbnail views, while just <F6> gets trapped when entering the Start Center thumbnails.

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 6b3cc69fd2b2de5ace68f2739eb383267d66f76f
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2017-12-01_01:36:58
Locale: en-US (en_US); Calc: group threaded
Comment 6 QA Administrators 2019-02-21 03:42:21 UTC Comment hidden (obsolete)
Comment 7 V Stuart Foote 2019-02-21 04:04:24 UTC
Issue remains with current master/6.3.0alpha builds
Comment 8 Jim Raykowski 2019-02-22 01:18:28 UTC
Hi All,

Here is a patch for this:
https://gerrit.libreoffice.org/#/c/68185/

I don't know what the Template Manager part of the patch that caused this regression is so I couldn't test if this patch fixes F6 navigation in it although I suspect it does.
Comment 9 Commit Notification 2019-02-23 01:54:57 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/77fe54df21195a1b0483fb06466ced935a186030%5E%21

tdf#102005 Fix F6 regression in start center

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 V Stuart Foote 2019-02-24 19:17:47 UTC
Verified Fixed on Windows 10 Home 64-bit en-US (1809) with
Version: 6.3.0.0.alpha0+ (x64)
Build ID: a798926550ab3ea8613f28a7be2672ebe9e7dfbe
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-02-24_04:50:25
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

No keyboard navigation issues when changing from document thumbnail views to the template manager views. F6 - F10 - <Tab> and cursors are now consistent in both StartCenter modes.
Comment 11 Xisco Faulí 2019-03-13 13:55:30 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 8aa579830b20072af8d6e149d6b279362fe98b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Jim Raykowski, thanks for fixing this issue!
Comment 12 Xisco Faulí 2019-03-13 13:56:20 UTC
Cherry-picked to 6-2 -> https://gerrit.libreoffice.org/#/c/69175/
Comment 13 Commit Notification 2019-03-13 16:37:45 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/24c1ef579eed3827fc34312a9127244a13b9b5ac%5E%21

tdf#102005 Fix F6 regression in start center

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.